跳转到主要内容
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
logic
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"condition"}'
const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"condition"}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({
name: 'string',
description: 'string',
config: null,
parentNodeId: 'string',
type: 'condition'
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\",\"description\":\"string\",\"config\":null,\"parentNodeId\":\"string\",\"type\":\"condition\"}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "logic": {
    "config": {
      "conditions": {}
    },
    "id": "<string>",
    "category": "logic",
    "type": "condition",
    "name": "<string>",
    "description": "<string>",
    "testResult": {
      "createdTime": "<string>",
      "spent": 123,
      "inputRaw": null,
      "outputRaw": null,
      "inputVariables": {},
      "outputVariables": {},
      "errorMsg": "<string>"
    },
    "outputVariables": {},
    "inputVariables": {},
    "createdTime": "<string>",
    "lastModifiedTime": "<string>"
  },
  "controls": [
    {
      "config": {
        "sourceNodeId": "<string>"
      },
      "id": "<string>",
      "category": "control",
      "name": "<string>",
      "createdTime": "<string>",
      "lastModifiedTime": "<string>"
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
parentNodeId
string
必填

witch node this the parent, if not provided, it is a root node

type
enum<string>
必填

type of logic

可用选项:
condition,
Repeat
name
string

name of the node

description
string

description of the node

config
any | null

node configuration

响应

201 - application/json

Successful created

logic
object
必填
controls
object[]
必填

workflow control nodes, contains the logic branch and the end node

最后修改于 2026年3月5日